> ## Documentation Index
> Fetch the complete documentation index at: https://docs.vued.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Create API key

> Creates a public API key and returns the secret once.



## OpenAPI

````yaml /openapi/vued-public-api.yaml post /orgs/{org_id}/api-keys
openapi: 3.1.0
info:
  title: Vued Public API
  version: 0.1.0
  description: >-
    Cloud API for Vued organization metadata, signed audio URLs, API keys, and
    webhooks.
servers:
  - url: https://vued-office-api-dev.onrender.com/v1
security:
  - bearerAuth: []
tags:
  - name: Orgs
  - name: Search
  - name: Audio
  - name: Files
  - name: Directory
  - name: API Keys
  - name: Webhooks
paths:
  /orgs/{org_id}/api-keys:
    post:
      tags:
        - API Keys
      summary: Create API key
      description: Creates a public API key and returns the secret once.
      operationId: createApiKey
      parameters:
        - $ref: '#/components/parameters/OrgId'
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ApiKeyCreate'
      responses:
        '200':
          description: Created API key with one-time secret.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CreatedPublicApiKey'
components:
  parameters:
    OrgId:
      name: org_id
      in: path
      required: true
      schema:
        type: string
        format: uuid
  schemas:
    ApiKeyCreate:
      type: object
      properties:
        name:
          type: string
          default: Public API key
        expires_at:
          type:
            - string
            - integer
            - number
            - 'null'
        scopes:
          type: array
          items:
            type: string
    CreatedPublicApiKey:
      type: object
      properties:
        token:
          $ref: '#/components/schemas/PublicApiKey'
        secret:
          type: string
          description: Full API key secret. Returned only once.
    PublicApiKey:
      type: object
      properties:
        id:
          type: string
          format: uuid
        name:
          type: string
        keyPrefix:
          type: string
        scopes:
          type: array
          items:
            type: string
        createdAt:
          type: number
        lastUsedAt:
          type:
            - number
            - 'null'
        expiresAt:
          type:
            - number
            - 'null'
        revokedAt:
          type:
            - number
            - 'null'
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````